diff --git Makefile Makefile
index fb98532..1afa4a1 100644
--- Makefile
+++ Makefile
@@ -2,7 +2,8 @@
 # Makefile for bowtie, bowtie-build, bowtie-inspect
 #
 
-prefix = /usr/local
+include Makefile.macports.inc
+prefix ?= /usr/local
 bindir = $(prefix)/bin
 
 ARCH = $(shell uname -m)
@@ -14,8 +15,8 @@ BOWTIE_SHARED_MEM = 1
 EXTRA_FLAGS =
 EXTRA_CFLAGS =
 EXTRA_CXXFLAGS =
-CFLAGS += $(EXTRA_CFLAGS)
-CXXFLAGS += $(EXTRA_CXXFLAGS)
+CFLAGS += $(EXTRA_CFLAGS) $(CPPFLAGS)
+CXXFLAGS += $(EXTRA_CXXFLAGS) $(CPPFLAGS)
 WARNING_FLAGS = -Wall -Wno-unused-parameter -Wno-reorder
 
 RELEASE_DEPENDENCIES = $(if $(RELEASE_BUILD),static-libs)
@@ -43,12 +44,6 @@ endif
 MACOS =
 ifneq (,$(findstring Darwin,$(shell uname)))
     MACOS = 1
-	ifneq (,$(findstring 13,$(shell uname -r)))
-		override EXTRA_FLAGS += -stdlib=libstdc++
-	endif
-	ifeq (1, $(RELEASE_BUILD))
-		EXTRA_FLAGS += -mmacosx-version-min=10.9
-	endif
 endif
 
 LINUX =
@@ -130,23 +125,8 @@ BUILD_CPPS_MAIN = $(BUILD_CPPS) bowtie_build_main.cpp
 SEARCH_FRAGMENTS = $(wildcard search_*_phase*.c)
 VERSION = $(shell cat VERSION)
 
-BITS=32
-ifeq (1,$(shell echo __LP64__ | $(CC) -P -E - | tr -d '\n'))
-	BITS=64
-endif
-# msys will always be 32 bit so look at the cpu arch instead.
-ifneq (,$(findstring AMD64,$(PROCESSOR_ARCHITEW6432)))
-	ifeq (1,$(MINGW))
-		BITS=64
-	endif
-endif
-
-ifeq (32,$(BITS))
-    $(error bowtie2 compilation requires a 64-bit platform )
-endif
-
-DEBUG_FLAGS = -O0 -g3
-RELEASE_FLAGS = -O3
+DEBUG_FLAGS =
+RELEASE_FLAGS =
 NOASSERT_FLAGS = -DNDEBUG
 FILE_FLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
 
